

# Nach sh configure.sh  ausfuehren um GNOME zu machen und zu konfigurieren

make

# Vorlaeufig nach ./scr installieren, um Konfigurierung zu machen
PKG=`pwd`/scr 
mkdir -p $PKG/etc/gconf
cp -aR ./extra/etc/gconf/* $PKG/etc/gconf          # altes Schema hinkopieren, um zu benutzen falls kein neues gemacht wird


make install DESTDIR=$PKG
# $PKG/etc/gconf/schemas/ sollte jetzt da sein

mkdir -p $PKG/etc/gconf/gconf.xml.defaults
GCONF_CONFIG_SOURCE="xml::$PKG/etc/gconf/gconf.xml.defaults"
export GCONF_CONFIG_SOURCE

for schema in $PKG/etc/gconf/schemas/*.schemas; do
        if [ "$schema" != "$PKG/etc/gconf/schemas/*.schemas" ]; then
                gconftool-2 --makefile-install-rule $schema
        fi
done
for entry in $PKG/etc/gconf/schemas/*.entries; do
        if [ "$entry" != "$PKG/etc/gconf/schemas/*.entries" ]; then
                gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load $entry
        fi
done

mkdir -p ./extra/etc/gconf 
cp -aR $PKG/etc/gconf/gconf* ./extra/etc/gconf/   
cp -aR $PKG/etc/gconf/schemas* ./extra/etc/gconf/     # nicht noetig aber gut zur Kontrolle   

rm -r $PKG     # ggf lassen um  nachzugucken ob OK

echo " Nun ./scr loeschen und ./auto.SlackBuild ausfuehren"

